<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.zdsz.mapper.ZEngineeringMaterialMapper">

    <resultMap type="com.ruoyi.zdsz.domain.ZEngineeringMaterial" id="ZEngineeringMaterialResult">
        <result property="id" column="id"/>
        <result property="detailsId" column="details_id"/>
        <result property="corrosionLevel" column="corrosion_level"/>
        <result property="visitType" column="visit_type"/>
        <result property="selfClosingValveType" column="self_closing_valve_type"/>
        <result property="brand" column="brand"/>
        <result property="materialQuality" column="material_quality"/>
        <result property="specifications" column="specifications"/>
        <result property="number" column="number"/>
        <result property="version" column="version"/>
        <result property="remark" column="remark"/>
        <result property="delFlag" column="del_flag"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>


</mapper>
